Subject: bug#36583: 26.1; emacs 26 tries loading original user's .emacs after su to root

From: Stefan Kangas <[email-masked]>
Date: Sat, 13 Jul 2019 11:34:24 +0200

Andreas Schwab <[email-masked]> writes:

> On Jul 12 2019, Richard Stallman <[email-masked]> wrote:
>
> > I think I asked for this feature so that when I run Emacs as root I
> > will get the commands I am accustomed to.
>
> Nowadays this is perhaps obsoleted by Tramp.

Tramp covers this use case for me at least.

FWIW, I think we should remove this feature.  It has always surprised me since
it's so different from how other programs on GNU/Linux usually behaves.

Would it be a good idea to also add something to the FAQ or Manual on the
recommended way to edit files as root (which perhaps should be: use Tramp)?

Thanks,
Stefan Kangas